/**
 * File Name: MainMenu.js
 * File URL: http://www.renown-games.com/MozartMusicMatch/
 * Description: File for controlling and displaying game scenes; managing global variables throughout game state.
 * Author: Stephen Gose
 * Version: 0.0.0.15
 * Author URL: http://www.stephen-gose.com/
 * Support: support@pbmcube.com
 *
 * Copyright  2008-2016 Stephen Gose LLC. All rights reserved. 
 * 
 * Do not sell! Do not distribute!
 * This is a licensed permission file. Please refer to Terms of Use
 *   and End Users License Agreement (EULA).
 * Search for [ //**TODO** ] to tailor this file for your own use and will void any support agreement.
 *
 * Redistribution of part or whole of this file and
 * the accompanying files is strictly prohibited.
 *
 */
var button;
var instructions;
//var tooltip = "Select 1 of 5 games to play.";

BasicGame.MainMenu = function (game) {
	this.preloaderBackground = null;
	this.preloadBar = null;
	this.music = null;
	this.playButton = null;
	this.text = null;
};

BasicGame.MainMenu.prototype = {
	initMMenu: function () {
		
	},
	
	create: function () {
		var style = { font: "24px Arial", fill: "#033", align: "center" };
		
		var Copr = "Copyright  2016, Stephen Gose. All rights reserved.\n"; //US Copr. or Copyright
		//Static english language assignment here; use global variable to attach selected language
		var playtxt = this.add.text(0, 0, "Play" , style);		// "Play";
		var opttxt = this.add.text(0, 0, "Options", style); 	//"Game Options";
		var sharetxt =  this.add.text(0, 0, "Share", style); 	//"Share with a Friend";
		//var helptxt = this.add.text(0, 0, "Help", style); 	//"";
		var moretxt = this.add.text(0, 0, "More", style); 		//"More Games";
		var credittxt = this.add.text(0, 0, "Credits", style);	//"Credits";
		var webtxt = this.add.text(0, 0, "License", style);		//"WebMasters" && customer license;
		var donationtxt = this.add.text(0, 0, "Donations", style);
		
		this.music = this.add.audio('titleMusic',1,false);
		this.music.play('',0,1,true);
		
		this.score = 0;
		this.clicks = 0;

		this.add.sprite(0, 0, 'gamebkgrnd');
		
		//Main Menu creation
		this.soundButton = this.add.button(10, 10, 'soundButton', this.toggleThemeMusic, this);
		
		// Play 
		this.playButton = this.add.button(this.world.centerX-150, this.world.centerY-180, 'button', this.startGame, this, 2, 1, 0); // button frames: over, off, down
		this.playButton.anchor.set(0.5,0);
		this.playButton.addChild(playtxt).anchor.set(0.5,0);
		
		// Credit 
		this.creditButton = this.add.button(this.world.centerX-150, this.world.centerY-120, 'button', this.GameCredits, this, 2, 1, 0); // button frames: over, off, down
		this.creditButton.anchor.set(0.5,0);
		this.creditButton.addChild(credittxt).anchor.set(0.5,0);
		
		// Game Options : Language Selection
		this.optButton = this.add.button(this.world.centerX-150, this.world.centerY-60, 'button', this.GameOptions, this, 2, 1, 0); // button frames: over, off, down
		this.optButton.anchor.set(0.5,0);
		this.optButton.addChild(opttxt).anchor.set(0.5,0);
		
		// More Games - external 
		this.moreButton = this.add.button(this.world.centerX+150, this.world.centerY-180, 'button', this.MoreGame, this, 2, 1, 0); // button frames: over, off, down
		this.moreButton.anchor.set(0.5,0);
		this.moreButton.addChild(moretxt).anchor.set(0.5,0);
		
		// Web Masters & customer License - external 
		this.webButton = this.add.button(this.world.centerX+150, this.world.centerY-120, 'button', this.WebMaster, this, 2, 1, 0); // button frames: over, off, down
		this.webButton.anchor.set(0.5,0);
		this.webButton.addChild(webtxt).anchor.set(0.5,0);

		// Donation Link - external
		this.donaButton = this.add.button(this.world.centerX+150, this.world.centerY-60, 'button', this.GameDonations, this, 2, 1, 0); // button frames: over, off, down
		this.donaButton.anchor.set(0.5,0);
		this.donaButton.addChild(donationtxt).anchor.set(0.5,0);
		
	},

	update: function () {

		//	Do some nice effect here??

	},

	startGame: function (pointer) {

		//	Ok, the Play Button has been clicked or touched, so let's stop the music (otherwise it'll carry on playing)
		this.music.stop();
		//	And start the actual game #1 audio memory
		this.state.start('Game');

	},
	GameCredits: function (pointer) {

		//	Ok, the Play Button has been clicked or touched, so let's stop the music (otherwise it'll carry on playing)
		this.music.stop();
		//	And start the credits menu
		this.state.start('Credits');

	},
	GameOptions: function (pointer) {

		//	Ok, the Play Button has been clicked or touched, so let's stop the music (otherwise it'll carry on playing)
		this.music.stop();
		//	And start the options menu
		this.state.start('Options');

	},
	/*
	//uses right-side plugin
	GameShare: function (pointer) {

		//	Ok, the Play Button has been clicked or touched, so let's stop the music (otherwise it'll carry on playing)
		this.music.stop();
		//originally moved to separate internal scene; now off-site
		//window.open("http://www.addthis.com/pbmcube", "_blank");

	},
	*/
	MoreGame: function (pointer) {

		//	Ok, the Play Button has been clicked or touched, so let's stop the music (otherwise it'll carry on playing)
		this.music.stop();
		
		// You gain 85% commissions for every referral. OR, you can replace with your own eCommerce solution.
		window.open("http://www.renown-games.com./index.html", "_blank");

	},
	WebMaster: function (pointer) {

		//	Ok, the Play Button has been clicked or touched, so let's stop the music (otherwise it'll carry on playing)
		this.music.stop();
		
		//eCommerce option: originally moved to separate internal scene; now off-site.
		// You gain 85% commissions for every referral. OR, you can replace with your own eCommerce products.
		window.open("http://www.pbmcube.net/downloads/category/software-source-code/ssc5/", "_blank");

	},
	
	GameDonations: function (pointer) {

		//	Ok, the Play Button has been clicked or touched, so let's stop the music (otherwise it'll carry on playing)
		this.music.stop();
		
		//OR, you can replace with your own eCommerce solution.
		window.open("https://www.patreon.com/pbmcube", "_blank");

	},
	//Toggles background music theme on or off
	toggleThemeMusic: function(){
		if(this.musicToggle==true){
		    this.music.stop();
		    this.musicToggle = false;
		}
		else{
		    this.music.play();
		    this.musicToggle = true;
		}
	}
};