/**
 * File Name: Preloader.js
 * File URL: http://www.renown-games.com/MozartMusicMatch/
 * Description: File for controlling and displaying game scenes; managing global variables throughout game state.
 * Author: Stephen Gose
 * Version: 0.0.0.15
 * Author URL: http://www.stephen-gose.com/
 * Support: support@pbmcube.com
 *
 * Copyright © 2008-2016 Stephen Gose LLC. All rights reserved. 
 * 
 * Do not sell! Do not distribute!
 * This is a licensed permission file. Please refer to Terms of Use
 *   and End Users License Agreement (EULA).
 * Search for [ //**TODO** ] to tailor this file for your own use and will void any support agreement.
 *
 * Redistribution of part or whole of this file and
 * the accompanying files is strictly prohibited.
 *
 */
BasicGame.Preloader = function (game) {
	//garbage collection and memory clean up before proceeding
	this.preloaderBackground = null;
	this.preloadBar = null;

	this.ready = false;

};

BasicGame.Preloader.prototype = {

	preload: function () {
		this.background = this.add.sprite(this.world.centerX, this.world.centerY, 'preloaderBackground');
		this.background.anchor.set(0.5,0.5);
		this.preloadBar = this.add.sprite(this.world.centerX, 30, 'preloaderBar');
		this.preloadBar.anchor.set(0.5);
		this.preloadBar.scale.setTo(0.5,1);
		//this.preloadBar.x = this.world.centerX - this.preloadBar.width/2;

		this.load.setPreloadSprite(this.preloadBar);
		//using altas for graphics; loading graphics for the main menu state now; they should be in the cache when needed.
		this.load.atlas('soundButton','images/buttons/soundButton.png','images/buttons/mmm-soundButton.json');
		this.load.atlas('playButton', 'images/buttons/mmm-sprites.png', 'images/buttons/mmm-sprites.json');
		this.load.atlas('creditButton', 'images/buttons/mmm-sprites.png', 'images/buttons/mmm-sprites.json');
		this.load.atlas('optButton', 'images/buttons/mmm-sprites.png', 'images/buttons/mmm-sprites.json');
		
		this.load.atlas('moreButton', 'images/buttons/mmm-sprites.png', 'images/buttons/mmm-sprites.json');
		this.load.atlas('webButton', 'images/buttons/mmm-sprites.png', 'images/buttons/mmm-sprites.json');
		
		this.load.atlas('donaButton', 'images/buttons/mmm-sprites.png', 'images/buttons/mmm-sprites.json');
		
	},

	create: function () {

		this.preloadBar.cropEnabled = false;

	},

	update: function () {

		if (this.cache.isSoundDecoded('titleMusic') && this.ready == false)
		{
			this.ready = true;
			//my games go to Language selection then MainMenu
			this.state.start('MainMenu');
		}

	}

};
