/**
 * File Name: Scores.js
 * File URL: http://www.renown-games.com/MozartMusicMatch/
 * Description: File for controlling and displaying game scenes; managing global variables throughout game state.
 * Author: Stephen Gose
 * Version: 0.0.0.15
 * Author URL: http://www.stephen-gose.com/
 * Support: support@pbmcube.com
 *
 * Copyright © 2008-2016 Stephen Gose LLC. All rights reserved. 
 * 
 * Do not sell! Do not distribute!
 * This is a licensed permission file. Please refer to Terms of Use
 *   and End Users License Agreement (EULA).
 * Search for [ //**TODO** ] to tailor this file for your own use and will void any support agreement.
 *
 * Redistribution of part or whole of this file and
 * the accompanying files is strictly prohibited.
 *
 */
BasicGame.Scores = function (game) {

	//	When a State is added to Phaser it automatically has the following properties set on it, even if they already exist:

    this.game;		//	a reference to the currently running game
    this.add;		//	used to add sprites, text, groups, etc
    this.camera;	//	a reference to the game camera
    this.cache;		//	the game cache
    this.input;		//	the global input manager (you can access this.input.keyboard, this.input.mouse, as well from it)
    this.load;		//	for preloading assets
    this.math;		//	lots of useful common math operations
    this.sound;		//	the sound manager - add a sound, play one, set-up markers, etc
    this.stage;		//	the game stage
    this.time;		//	the clock
    this.tweens;	//	the tween manager
    this.world;		//	the game world
    this.particles;	//	the particle manager
    this.physics;	//	the physics manager
    this.rnd;		//	the repeatable random number generator

    //	You can use any of these from any function within this State.
    //	But do consider them as being 'reserved words', i.e. don't create a property for your own game called "world" or you'll over-write the world reference.

};

BasicGame.Scores.prototype = { 

	create: function () {
		var style = { font: "20px Arial", fill: "#033", align: "center" };
		var mmtxt = this.add.text(0, 0, "Return", style);
		
		//	Honestly, just about anything could go here. It's YOUR game after all. Eat your heart out!
		this.add.sprite(0, 0, 'gamebkgrnd');
		
		var tooltext = this.game.add.text(this.world.centerX, 140, "About Mozart Music Match\n\nGame Description:\n \tMozart was a brilliant musician who wrote hundreds of musical compositions.\n Take you first steps in learning to read musical notes and develop your musical talents in this music education game.\n Are you among the 15% in the world who truly have musical intelligence?\n\n\t3 levels of difficulty that include several challenges for each musical skill in each of the 5 musical games", {
		font: "28px Arial",
		fill: "#033",
		align: "center"
	});

		tooltext.anchor.setTo(0.5, 0.5);
		tooltext.setShadow(3, 3, 'rgba(0,0,0,0.5)', 5);
		tooltext.fontWeight = 'bold';
		
		//Return to Main Menu 
		this.mmButton = this.add.button(100, 15, 'button', this.quitGame, this, 2, 1, 0); // button frames: over, off, down
		this.mmButton.anchor.set(0.5,0);
		this.mmButton.addChild(mmtxt).anchor.set(0.5,0);
	},


	update: function () {

		//	Honestly, just about anything could go here. It's YOUR game after all. Eat your heart out!

	},

	quitGame: function (pointer) {

		//	Here you should destroy anything you no longer need.
		//	Stop music, delete sprites, purge caches, free resources, all that good stuff.
		this.music.stop();
		//	Then let's go back to the main menu.
		this.state.start('MainMenu');

	}

};
